# Fauche & Faons

Cahier des Charges

### I - Contexte et définition du problème

La saison de fauche pour les agriculteurs commence au même que la saison de naissance des faons. Les mères laissent leurs petits roulés en boule dans les prés et leur seul moyen de survie est de rester immobile (comme mort). Mais lorsque les agriculteurs fauchent les prés, les faons ne bougent pas et se font faucher en même temps.
Cela entraîne des conséquences éthiques, écologiques et économiques : la mort du faon ainsi que la dégradation de l'herbe coupé qui peuvent provoquer des maladies chez les bovins et abîmer la fauche.

Les agriculteurs du Parc des Bauges cherchent un moyen de prévenir la présence de faons pendant la fauche d'un pré.
Différentes méthodes telles que des caméras thermiques sur des drônes ou encore des détecteurs de gibier ISA ont déjà été testées mais doivent se faire avant la fauche du pré.

Le projet porte donc sur le développement d'un système de détection en live, de faons de chevreuils (taille d'un ballon de rugby), dans des prés de fauches à végétation dense (foin hauteur jusqu'à 1,5 m), par des caméras à IA, grand angle, montées sur les rétros du tracteur (hauteur 3m) et qui balayent la bande à faucher au passage suivant (7m).

### II - Objectif du projet

Le livrable attendu est donc une IA embarquée capable de récupérer les photos d'une camera et de les interpréter pour détecter la présence de faons.

### III - Périmètre du projet

Pour ce projet, nous pourrions aller plus loin en détectant tous types d'animaux présents dans les hautes herbes comme par exemple, les faisans qui font leur nid au sol. Mais par rapport au temps que nous disposons, nous nous consacrerons uniquement à la détection de faons.

Dans une perspective plus lointaine, on pourrait travailler sur un boîtier pouvant acceuillir tout le prototype final afin qu'il soit facile d'utilisation pour un agriculteur (branchement simple). Mais pour les mêmes raisons que précédemment, nous n'aurons pas le temps d'aller jusqu'à cette étape du projet.

Ainsi, notre livrable ressemblera sûrement à une preuve de concept qui pourra être utiliser dans les années à venir pour arriver au produit final attendu par le Parc des Bauges.

### IV - Description fonctionnelle et technique des besoins

Le projet se décompose en deux axes : informatique et électronique.
En effet, le projet se fait en collaboration avec un groupe de la filière Informatique et Electronique des Systèmes Embarqués qui réalise la partie électronqiue en créant un dispositif embarqué, fiable et adapté à un tracteur. 
Notre groupe se concentre sur la partie Informatique.

Dans la partie Informatique, nous devons développer une IA capable de reconnaître les faons, intégrer cette IA dans un environnement embarqué (carte STM32N6), connecter la camera à la carte STM32N6 afin qu'elle puisse prendre les photos et les fournir à l'IA pour obtenir le système de détection en live.

Pour cela, nous avons une carte STM32N6 ainsi qu'une camera ... .

Pour le développement de l'IA, nous allons nous basé sur YOLO, c'est un algorithme capable de détecter des objets à partir d'images, en effectuant la détection et la classification simultanément. 

### V - Contraintes

(contraintes physiques à voir avec le parc des bauges comme par exemple la hauteur du tracteur, etc.)

Le projet doit être finaliser et une présentation est à faire avant le départ en stage des étudiants mi-avril. Or, la naissance des faons à lieu en Mai / Juin donc il ne sera pas possible de tester le projet en situation réelle avant le rendu.

### VI - Organisation

Notre équipe se compose de quatre étudiants de quatrième année en filière Informatique : Julian MAZERAT, Nathanael CHAUVIN, Dila MEMIL et Chloé MERCIER. 
Des points d'avancements seront fait régulièrement avec le groupe de IESE afin d'avancer au même rythme sur le projet.


Notre organisation se fera en deux parties : 
* alimenter et entraîner une IA à la reconnaissance de faons à l'aide d'une base de données d'images
* connecter les différents composants électroniques pour le système de détection en live et l'implémentation de la carte

Enfin, les deux parties seront jointes lors de l'intégration de l'IA sur la carte et ainsi, alimenter l'IA directement grâce à la caméra.

### VIII - Critères de validation

* L'IA doit pouvoir traiter en temps réel toutes les images reçues par la caméra (30 images par seconde ?).
* Taux de réussite à la reconnaissance des faons supérieur à 80% ?
* Mécanisme d'alerte visuel et / ou sonore en cas de présence de faons
* ...

