# Projet 3 Fauche et Faon :: Journal de bord (aka fiche de suivi)

* [ ] Réussir à faire persister le code sur la carte
* [ ] Prise en main de la caméra
* [ ] Mettre le réseau de neurones de Edge Impulse sur la carte

## 2025-03-18

Configuration d'un projet C++ sur STM32CubeIDE pour qu'il soit compatible avec le réseau de neurones de Edge Impulse.

## 2025-03-17

Correction du modèle d'IA qui a maintenant un score F1 de 92,3%. Test du prototype via navigateur et téléphone concluant.
Après plusieurs tentatives et recherches pour flasher la carte, on s'est rendu compte qu'elle était flashless (la flash se trouve à l'extérieur). Demain, nous aurons l'adresse pour flasher sur la flash externe.
Nous avons trouvé l'information sur ce forum où un employé de ST à récemment répondu : https://community.st.com/t5/stm32-mcus-products/stm32n6-with-built-in-flash/m-p/781651

## 2025-03-14

On continue d'essayer de flasher la carte avec le fichier binaire mais sans succès.
Création d'un nouveau modèle de détection d'objet cette fois axé sur la détection d'un boitier d'écouteurs sans fil (modèle plus fiable et plus simple à tester en condition réel).
Problème sur la fiabilité du modèle

## 2025-03-11

Un premier code 'hello_world' a pu être éxécuter sur la carte (clignotement des trois LEDs de couleurs) depuis STM32CubeIDE. Connexion à la carte réussi comme hier avec STM32Programmer et tentative de directement téléverser un fichier binaire sur la carte.


## 2025-03-10 Soutenance mi-parcours

Connexion à la carte réussi hier grâce au forum ci-dessous et à Didier Donsez :
* [x] résolu : https://community.st.com/t5/stm32cubeprogrammer-mcus/error-no-stm32-target-found-smt32n657x0-q/td-p/763815

## 2025-02-25

Deuxième test avec edge impulse 31% Mais nous avons testé en direct avec des photos d'herbe et le programme détecte des faons.
Cela n'est donc pas du tout fonctionnel. Nous allons donc entrainer l'IA à différencier un champ sans faons et les champs avec faons pour améliorer sa précision.

Prise en main de STM32Programmer pour flasher la carte.

## 2025-02-24

Premier test de edge impulse sur une base de donnée de 86 photos de faons. (23% de précision)
* [x] Récupèrer la base de donnée de photos de faons du groupe de IESE4

* [x] DD: donner accès github [fauche et faons](https://github.com/orgs/fauche-et-faons/repositories)


## 2025-02-17

Prise en main de edge impulse.
Prise de connaissance de la carte STM32N6 grâce à la documentation.
Tests et prise en main de ArduinoIDE (la carte n'est pas compatible avec ArduinoIDE) et de STM32CubeIDE.

* [x] Contacter et rencontrer l'équipe de IESE4

## 2025-02-10

A faire

* [x] rédiger le [who is who](./whoiswho.md) (et les rôles)
* [x] rédiger un pacte d'équipe (~pacte d'associé)
* [x] rédiger le cahier des charges (markdown bien sur) avec les diagrammes
* [x] faire le [point matériel récupéré](./matos.md) au fablab (emprunt depuis https://matos.univ-grenoble-alpes.fr/#
* [x] créer une structure arborescente de dossiers pour organiser le dépôt

Exemple de structure arborescente
* [./README.md](./README.md) --> un description et des liens pour naviguer dans la structure
* [./logbook.md](./logbook.md)
* [./whoiswho.md](./whoiswho.md)
* [./CONTRIBUTORS.md](./CONTRIBUTORS.md)
* [./pacte.md](./pacte.md)
* [./matos.md](./matos.md)
* [./LICENSE.md](./LICENSE.md)
* ./presentations
* ./presentations/README.md
* ./presentations/2024-02-10/
* ./presentations/2024-02-17/
* ./presentations/2024-03-XX_mid-project/
* ./presentations/2024-04-XX_final/
* ./reports
* ./reports/bib.tex
* ./reports/bib.md
* ./docs
* ./docs/user
* ./docs/admin
* ./media
* ./externals
* ./sandbox

**Instructions et bonnes pratiques**

* utilisez Markdown :  Rien d'autres n'est accepté
* utilisez [PlantUML](https://github.com/donsez/bd/tree/main/plantuml#readme) pour les diagrammes :  Rien d'autres n'est accepté (ie éditeurs en ligne and co)
* préférez SVG pour les schémas vectoriels à PNG et JPEG (pire HEIC)
* PDF, DOCX, PPT, ODT, ODP proscrits (sinon `git rm *.pdf, *.pptx *.docx ...`)
* utilisez Markdown et [reveal.js](https://github.com/webpro/reveal-md) pour vos présentations (dans un dossier dans le dossier `./presentations`)
* pour les thèmes dans les slides, pensez aux daltoniens (le [NB](https://fr.wikipedia.org/wiki/Bienvenue_%C3%A0_Gattaca) est indémodable)
* tout ce qui n'est pas écrit n'a pas été fait
* tout ce qui temporaire est définitif (on nettoiera plus tard, vite fait ...)
* plus tard == jamais
* redigez plutôt en anglais --> vos projets seront visibles de vos employeurs, vos maîtres de stage ...
* docker, docker, docker
* git, git, git
* dans vos interactions orales (présentations, clients) : évitez wesh wesh, vite fait, rapide, carré ... vous n'êtes pas sur la scène RAP française !
* [intelligence contextuelle](https://www.wikiberal.org/wiki/Intelligence_contextuelle)
* [Pandoc](https://pandoc.org/) est votre ami

## 2025-02-03

Découverte du projet


